Subject: Re: problem with mkgroup -d DOMAIN
From: Stefan Zachow <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 22 Jan 2004 09:32:01 +0100

Hi Pierre,

thanks first for looking at my problem!

>Regarding the CreateFileMapping problem, the message you report is
>   *** CreateFileMapping, Win32 error 0. Terminating.
>but the code in Cygwin is
>
>     api_fatal ("CreateFileMapping %s, %E.  Terminating.", mapname);
>The *** in front is added elsewhere, but you are missing the space
>after CreateFileMapping and the mapname (which could be null).
>
I see two formatting arguments but only one parameter. Is that right?

>So, what version of Cygwin are you using?
>
cygcheck -V says 1.38 (is it the version number you needed to know?)
I made an update 2 days ago.

>From a cmd window in c:\cygwin\bin, what does
>strace true produce?
>
it gives the same result:

 *** CreateFileMapping, Win32 error 0.  Terminating.

>Are the non privileged users running from the console or from
>terminal services? 
>
I am not sure whether I understand your question correctly.
The non privilieged users connect from any Windows system
via rdesktop to the Windows 2003 server and are trying to
open a cygwin shell on the Remotedesktor.

>Do they have the "create global object" privilege? If not, try
>  to assign it.
>
Here I'm lost. How do I do this?

>You say it's working on Win2000. What service pack? Also, on that
>machine, what are the answers to the 2 questions above?
>
SP 4 - 'strace true' prints out almost everything I can imagine
starting with Program name: C:\cygwin\bin\true.exe

   Stefan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/